function [ytrain,ytest] = KRR(X,y,lambda,sigma,Xtest)
% Train and predict Kernel Ridge Regression
% 
% Syntax:       [ytrain,ytest] = KRR(X,y,lambda,sigma,Xtest)
%
% Inputs:       X is a N x D matrix of training data
%               y is an N x 1 vector of labels
%               lambda is the ridge regression tuning parameter
%               sigma is the RBF kernel parameter
%               Xtest is an optional Ntest x D matrix of test data
%
% Outputs:      ytrain is the set of predicted labels for the training data X
%               ytest is the set of predicted labels for the test data Xtest (optional)

%% Task 2

%% Task 3
if nargin == 5
    % code goes here
else
    ytest = [];
end
