clear
close all

% generate and plot training data
N = 50;
X = linspace(0,1,N)';
f1 = 30;    % vary this parameter
f2 = 15;     % vary this parameter
y = 3*[sin(f1*X(1:N/2)); sin(f2*X(N/2+1:end))] - 2*X + 0.1*randn(N,1);

figure
hold all
plot(X,y,'x')

%%% Task 2: KRR on training data
%lambda = 0.1;   % vary this parameter
%sigma = 0.5;    % vary this parameter
%ytrain = KRR(X,y,lambda,sigma);

%plot(X,ytrain)
%legend('sampled function','predicted function (training data)')

%%% Task 3: KRR on test data
%Ntest = 10;
%Xtest = rand(Ntest,1);
%[ytrain,ytest] = KRR(X,y,lambda,sigma,Xtest);

%plot(Xtest,ytest,'o')
%legend('sampled function','predicted function (training data)','test data')
