"""
KRR demo - syntheticTest.py

ECE 510

python version: 3.7.2

Spring 2019
"""

import numpy as np
import matplotlib.pyplot as plt
from numpy.random import randn, rand
from numpy import sin
from KRR import KRR

## generate and plot triaining data
N = 50
X = np.linspace(0, 1, N).reshape(N,1)
f1 = 30
f2 = 15
y = 3.0 * np.vstack((sin(f1 * X[:int(N/2)]), sin(f2 * X[int(N/2):]))) - 2*X + 0.1 * randn(N, 1)

plt.figure()
plt.scatter(X, y, marker='x')
plt.show()

### Task 2: KRR on training data: 
#lambda_ = 0.1   # vary this parameter
#sigma = 0.5     # vary this parameter

#ytrain, _ = KRR(X, y, lambda_, sigma)

#plt.plot(X, ytrain, label='sampled function, predicted function (training data)')
#plt.legend()
#plt.show()

### Task 3: KRR on test data:
#Ntest = 10
#Xtest = rand(Ntest, 1)
#ytrain, ytest = KRR(X, y, lambda_, sigma, Xtest=Xtest)

#plt.scatter(Xtest, ytest, marker='o')
#plt.show()
